If the above fails, you can also try postgres-pr; it doesn't require
any compiled C, but should still work with your old pg. Keep in mind
you'll still need allowed access in your pg_hba.conf.